<div class="modal-header border-bottom-0">
    <h4 class="header" id="myUserLabel" jhiTranslate="emailTrackingManagement.comment.title">
    </h4>
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="cancel()">&times;</button>
</div>
<div class="modal-body">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
        <div><jhi-alert-error></jhi-alert-error></div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="emailTrackingManagement.comment.label">comment</label>
            <textarea type="text" class="form-control min-height-200px" name="comment"
                      formControlName="comment" jhiNoSpaces></textarea>

            <div *ngIf="editForm.get('comment')!.invalid && (editForm.get('comment')!.dirty || editForm.get('comment')!.touched)">
                <small class="form-text text-danger"
                       *ngIf="editForm.get('content')?.errors?.maxlength"
                       jhiTranslate="entity.validation.maxlength"
                       [translateValues]="{ max: 16777215 }">
                    This field cannot be longer than 16777215 characters.
                </small>
                <small class="form-text text-danger"
                       *ngIf="!editForm.get('comment')?.errors?.required && editForm.get('comment')?.errors?.noWhitespace"
                       jhiTranslate="error.noWhiteSpace">
                    The value must not be all spaces.
                </small>
            </div>
        </div>
        <div class="modal-footer border-top-0">
            <div class="row justify-content-center">
                <div>
                    <button ngbAutofocus type="button" class="btn btn-outline-primary" (click)="cancel()">
                        &nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                    </button>

                    <button type="submit" [disabled]="editForm.invalid" class="btn btn-primary">
                        &nbsp;<span jhiTranslate="entity.action.save">Save</span>
                    </button>
                </div>
            </div>
        </div>
    </form>
</div>

